import { get, post } from '@/http/index'

// 获取所有密级数据 true:所有密级数据 false:当前人密级与比当前人密级低的数据
export const getSecretLevelList = async (query) => {
  return await get('/Secret/getSecretLevelList', query)
}
// 获取所有计划去重
export const getDifferentPlan = async () => {
  return await post('/audit/findPlan')
}

// 删除计划
export const removeSelectedPlan = async (formData) => {
  return await post('/audit/removeSelectedPlan', formData)
}

// 新建计划
export const createPlan = async (formData) => {
  return await post('/audit/createPlan', formData)
}

// 计划编制数据字典加载
export const getBaseData = async () => {
  return await get('/planCompile/getBaseData')
}

// 获取用户信息
export const getUser = async () => {
  return await post('/system/user/getUserInfo')
}
